#{extends 'template/layout.html' /}
#{set title:'Barang' /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/jquery.inputmask.bundle.js'}"></script>
<script>
$(function() {
    $('.harga').inputmask("numeric", {
        radixPoint: ",",
        groupSeparator: ".",
        digits: 2,
        autoGroup: true,
        prefix: 'Rp ', //No Space, this will truncate the first character
        rightAlign: false,
        removeMaskOnSubmit: false,
        oncleared: function () { self.Value(''); }
    });

    $('.stok').inputmask("numeric", {
        radixPoint: ",",
        groupSeparator: ".",
        digits: 0,
        autoGroup: true,
        prefix: '', //No Space, this will truncate the first character
        rightAlign: false,
        removeMaskOnSubmit: true,
        oncleared: function () { self.Value(''); }
    });

    $("form").submit(function(event) {
      var h = $(".harga").val().replace("Rp ", "").replace(/\./g, "").replace(",",".");
      $(".price").val(h);
      $(".harga").val(h);
      // event.preventDefault();
      return;
    });

  })
  </script>
#{/set}


<!-- Horizontal Form -->
<div class="box box-info">
    <div class="box-header with-border">
      <h3 class="box-title">Barang Form</h3>
    </div>
    <!-- /.box-header -->
    <!-- form start -->
    <form class="form-horizontal" action="@{CBarang.formSubmit}">
        <input type="hidden" value="" name="price" class="price">
        <input type="hidden" value="${barang.id}" name="barang.id">
        <input type="hidden" value="${barang.user_id}" name="barang.user_id">
      <div class="box-body">

        <div class="form-group">
          <label class="col-sm-2 control-label">Nama <a style="color:red;"> *</a></label>

          <div class="col-sm-10">
            <input name="barang.nama" value="${barang.nama}" type="text" class="form-control" required>
          </div>
        </div>

        <div class="form-group">
            <label class="col-sm-2 control-label">Deskripsi <a style="color:red;"> *</a></label>

            <div class="col-sm-10">
              <input name="barang.deskripsi" value="${barang.deskripsi}" type="text" class="form-control" required >
            </div>
          </div>

        <div class="form-group">
            <label class="col-sm-2 control-label">Harga <a style="color:red;"> *</a></label>

            <div class="col-sm-10">
              <input name="barang.harga" value="${barang.harga}" type="text" class="form-control harga" required >
            </div>
          </div>
          <div class="form-group">
              <label class="col-sm-2 control-label">Stok <a style="color:red;"> *</a></label>

              <div class="col-sm-10">
                <input name="barang.stok" value="${barang.stok}" type="text" class="form-control stok" required >
              </div>
            </div>
      </div>
      <!-- /.box-body -->
      <div class="box-footer">
        <a href="@{CBarang.index()}" class="btn btn-default">Cancel</a>
        <button type="submit" class="btn btn-info pull-right">Save</button>
      </div>
      <!-- /.box-footer -->
    </form>
  </div>
  <!-- /.box -->
